#!/usr/bin/env python3

import sys

from PyQt5.QtCore import Qt
from PyQt5.QtWidgets import QApplication, QMainWindow, QDesktopWidget
from PyQt5.QtGui import QMovie

from Ui_Form import Ui_MainWindow as Ui
from resources_rc import *

class MainWindow(QMainWindow, Ui, QDesktopWidget):
    def __init__(self, parent=None):
        super(MainWindow, self).__init__(parent)
        self.setupUi(self)
        
        self.m_movie = QMovie(":/res/images/HeadWave.gif")
        self.m_movie.setCacheMode(QMovie.CacheAll)

        self.m_rectangle = self.frameGeometry()        
        
        self.setMouseTracking(True)
        
        self.label.setMovie(self.m_movie)
        
        self.setWindowFlags(QtCore.Qt.FramelessWindowHint)
        self.setAttribute(Qt.WA_TranslucentBackground)

        self.m_movie.start()
        
    def keyPressEvent(self, event):
        if event.key() == Qt.Key_Escape:
            self.close()
        else:
            super(MainWindow, self).keyPressEvent(event)
    
    def mouseMoveEvent(self, event):
        if event.buttons() & QtCore.Qt.LeftButton:
            self.m_rectangle.moveCenter(event.globalPos())
            self.move(self.m_rectangle.topLeft())

def main():
    app = QApplication(sys.argv)
    window = MainWindow()
    
    window.show()
    app.exec()

if __name__ == "__main__":
    main()
